Lists communications groups
curl --request GET \
--url https://api.rootly.com/v1/communications/groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "communications_groups",
"attributes": {
"name": "<string>",
"communication_type_id": "<string>",
"is_private": true,
"condition_type": "any",
"sms_channel": true,
"email_channel": true,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_group_conditions": [
{
"property_type": "service",
"service_ids": [
"<string>"
],
"severity_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
],
"member_ids": [
123
],
"slack_channel_ids": [
"<string>"
],
"communication_external_group_members": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>"
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/communications/groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "communications_groups",
"attributes": {
"name": "<string>",
"communication_type_id": "<string>",
"is_private": true,
"condition_type": "any",
"sms_channel": true,
"email_channel": true,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_group_conditions": [
{
"property_type": "service",
"service_ids": [
"<string>"
],
"severity_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
],
"member_ids": [
123
],
"slack_channel_ids": [
"<string>"
],
"communication_external_group_members": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>"
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}